<?php


namespace app\bug\controller;


use think\App;use think\facade\Validate;
class Work extends Base{
	public function __construct(App $app) {
		parent::__construct($app);
		$this->model=new \app\bug\model\Work();
	}
	//岗位模板新建
	public function create(){
		$param=$this->request->param(["work_name"=>"","belong"=>"","level"=>""],"post","trim");
		$valid =Validate::rule([
			"work_name|岗位名称"=>"require|max:200",
			"belong|系统归属"=>"require|number|in:1,2,3",
			"level|账户等级"=>"require|number|in:1,2,3"
			]);
		if($valid->check($param)==false)return error($valid->getError());
		$data = [
			'work_name'=>$param['work_name'],
			'belong'=>$param['belong'],
			'level'=>$param['level'],
			'apply_id'=>$this->uid,
			'apply_name'=>$this->uname,
			];
		$add = $this->model->save($data);
		return $add ? success("创建成功"):error("创建失败");
	}
	
		//岗位模板新建
	public function save(){
		$param=$this->request->param(["id"=>"",'work_name'=>'','belong'=>'','level'=>''],'post','trim');
		$valid =Validate::rule([
			'id|岗位ID'=>'require|number|gt:0',
			'work_name|岗位名称'=>'require|max:200',
			'belong|系统归属'=>'require|number|in:1,2,3',
			'level|账户等级'=>'require|number|in:1,2,3'
			]);
		if($valid->check($param)==false)return error($valid->getError());
		$info = $this->model->findOrEmpty($param['id']);
		if($info->isEmpty()) error("未找到数据");
		$info->work_name= $param['work_name'];
		$info->belong= $param['belong'];
		$info->level= $param['level'];
		$info->work_name= $param['work_name'];
		$add = $info->save();
		return $add ? success('修改成功'):error('修改失败');
	}
	
			//岗位模板新建
	public function delete(){
		$id=$this->request->post("id/d");
		$info = $this->model->findOrEmpty($id);
		if($info->isEmpty()) error('未找到数据');
		$add = $info->delete();
		return $add ? success('删除成功'):error('删除失败');
	}
	
				//岗位模板新建
	public function status(){
		$param=$this->request->param(['id'=>'','sttaus'=>''],'post','trim');
		$valid =Validate::rule([
			'id|岗位ID'=>'require|number|gt:0',
			'status|状态'=>'require|number|in:0,1'
			]);
		if($valid->check($param)==false)return error($valid->getError());
		$info = $this->model->findOrEmpty($param['id']);
		if($info->isEmpty()) error('未找到数据');
		$info->status= $param['status'];
		$status=\app\bug\model\Work::$statusCn[$param['status']];
		$add = $info->save();
		return $add ? success("{$status}成功"):error("{$status}失败");
	}
}